<?xml version="1.0" ?>
<template encoding-version="1.0">
  <description></description>
  <groupId>868b6977-015c-1000-d288-ce2a234f9197</groupId>
  <name>Sample FTP Processor</name>
  <snippet>
    <processGroups>
      <id>dfa22efc-015d-1000-0000-000000000000</id>
      <parentGroupId>868b6977-015c-1000-0000-000000000000</parentGroupId>
      <position>
        <x>0.0</x>
        <y>0.0</y>
      </position>
      <comments></comments>
      <contents>
        <connections>
          <id>dfa244bb-015d-1000-0000-000000000000</id>
          <parentGroupId>dfa22efc-015d-1000-0000-000000000000</parentGroupId>
          <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
          <backPressureObjectThreshold>10000</backPressureObjectThreshold>
          <destination>
            <groupId>dfa22efc-015d-1000-0000-000000000000</groupId>
            <id>00844b28-757e-1df9-0000-000000000000</id>
            <type>PROCESSOR</type>
          </destination>
          <flowFileExpiration>0 sec</flowFileExpiration>
          <labelIndex>1</labelIndex>
          <name></name>
          <selectedRelationships>success</selectedRelationships>
          <source>
            <groupId>dfa22efc-015d-1000-0000-000000000000</groupId>
            <id>00844b27-757e-1df9-0000-000000000000</id>
            <type>PROCESSOR</type>
          </source>
          <zIndex>0</zIndex>
        </connections>
        <connections>
          <id>dfa26158-015d-1000-0000-000000000000</id>
          <parentGroupId>dfa22efc-015d-1000-0000-000000000000</parentGroupId>
          <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
          <backPressureObjectThreshold>10000</backPressureObjectThreshold>
          <destination>
            <groupId>dfa22efc-015d-1000-0000-000000000000</groupId>
            <id>00844b2e-757e-1df9-0000-000000000000</id>
            <type>PROCESSOR</type>
          </destination>
          <flowFileExpiration>0 sec</flowFileExpiration>
          <labelIndex>1</labelIndex>
          <name></name>
          <selectedRelationships>success</selectedRelationships>
          <source>
            <groupId>dfa22efc-015d-1000-0000-000000000000</groupId>
            <id>00844b28-757e-1df9-0000-000000000000</id>
            <type>PROCESSOR</type>
          </source>
          <zIndex>0</zIndex>
        </connections>
        <labels>
          <id>dfa518fc-015d-1000-0000-000000000000</id>
          <parentGroupId>dfa22efc-015d-1000-0000-000000000000</parentGroupId>
          <position>
            <x>3632.1567290366957</x>
            <y>771.851227494853</y>
          </position>
          <height>26.690685272216797</height>
          <label>Sample that demonstrate FetchFTP that fetch the file from RemoteFTP server</label>
          <style>
            <entry>
              <key>font-size</key>
              <value>12px</value>
            </entry>
          </style>
          <width>450.0361633300781</width>
        </labels>
        <labels>
          <id>dfa6c692-015d-1000-0000-000000000000</id>
          <parentGroupId>dfa22efc-015d-1000-0000-000000000000</parentGroupId>
          <position>
            <x>4207.381606914638</x>
            <y>1051.1363189449503</y>
          </position>
          <height>48.46995162963867</height>
          <label>Saves the file in the
location - &lt;drive&gt;\Syncfusion\DataIntegration\&lt;version&gt;\Samples\Data\FTPOutput
</label>
          <style>
            <entry>
              <key>font-size</key>
              <value>12px</value>
            </entry>
          </style>
          <width>473.09637451171875</width>
        </labels>
        <processors>
          <id>00844b27-757e-1df9-0000-000000000000</id>
          <parentGroupId>dfa22efc-015d-1000-0000-000000000000</parentGroupId>
          <position>
            <x>3301.4364940577934</x>
            <y>889.8952414283132</y>
          </position>
          <config>
            <bulletinLevel>WARN</bulletinLevel>
            <comments></comments>
            <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
            <descriptors>
              <entry>
                <key>File Size</key>
                <value>
                  <defaultValue>0B</defaultValue>
                  <description>The size of the file that will be used</description>
                  <displayName>File Size</displayName>
                  <dynamic>false</dynamic>
                  <name>File Size</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Batch Size</key>
                <value>
                  <defaultValue>1</defaultValue>
                  <description>The number of FlowFiles to be transferred in each invocation</description>
                  <displayName>Batch Size</displayName>
                  <dynamic>false</dynamic>
                  <name>Batch Size</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Data Format</key>
                <value>
                  <allowableValues>
                    <allowableValue>
                      <displayName>Binary</displayName>
                      <value>Binary</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>Text</displayName>
                      <value>Text</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <defaultValue>Text</defaultValue>
                  <description>Specifies whether the data should be Text or Binary</description>
                  <displayName>Data Format</displayName>
                  <dynamic>false</dynamic>
                  <name>Data Format</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Unique FlowFiles</key>
                <value>
                  <allowableValues>
                    <allowableValue>
                      <displayName>true</displayName>
                      <value>true</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>false</displayName>
                      <value>false</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <defaultValue>false</defaultValue>
                  <description>If true, each FlowFile that is generated will be unique. If false, a random value will be generated and all FlowFiles will get the same content but this offers much higher throughput</description>
                  <displayName>Unique FlowFiles</displayName>
                  <dynamic>false</dynamic>
                  <name>Unique FlowFiles</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>generate-ff-custom-text</key>
                <value>
                  <description>If Data Format is text and if Unique FlowFiles is false, then this custom text will be used as content of the generated FlowFiles and the File Size will be ignored. Finally, if Expression Language is used, evaluation will be performed only once per batch of generated FlowFiles</description>
                  <displayName>Custom Text</displayName>
                  <dynamic>false</dynamic>
                  <name>generate-ff-custom-text</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
            </descriptors>
            <executionNode>ALL</executionNode>
            <lossTolerant>false</lossTolerant>
            <penaltyDuration>30 sec</penaltyDuration>
            <properties>
              <entry>
                <key>File Size</key>
                <value>0B</value>
              </entry>
              <entry>
                <key>Batch Size</key>
                <value>1</value>
              </entry>
              <entry>
                <key>Data Format</key>
                <value>Text</value>
              </entry>
              <entry>
                <key>Unique FlowFiles</key>
                <value>false</value>
              </entry>
              <entry>
                <key>generate-ff-custom-text</key>
              </entry>
            </properties>
            <runDurationMillis>0</runDurationMillis>
            <schedulingPeriod>1 d</schedulingPeriod>
            <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
            <yieldDuration>1 sec</yieldDuration>
          </config>
          <name>GenerateFlowFile</name>
          <relationships>
            <autoTerminate>false</autoTerminate>
            <name>success</name>
          </relationships>
          <style></style>
          <type>org.apache.nifi.processors.standard.GenerateFlowFile</type>
        </processors>
        <processors>
          <id>00844b28-757e-1df9-0000-000000000000</id>
          <parentGroupId>dfa22efc-015d-1000-0000-000000000000</parentGroupId>
          <position>
            <x>3758.178750411107</x>
            <y>883.078149742807</y>
          </position>
          <config>
            <bulletinLevel>WARN</bulletinLevel>
            <comments></comments>
            <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
            <descriptors>
              <entry>
                <key>Hostname</key>
                <value>
                  <description>The fully-qualified hostname or IP address of the host to fetch the data from</description>
                  <displayName>Hostname</displayName>
                  <dynamic>false</dynamic>
                  <name>Hostname</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Port</key>
                <value>
                  <defaultValue>21</defaultValue>
                  <description>The port to connect to on the remote host to fetch the data from</description>
                  <displayName>Port</displayName>
                  <dynamic>false</dynamic>
                  <name>Port</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Username</key>
                <value>
                  <description>Username</description>
                  <displayName>Username</displayName>
                  <dynamic>false</dynamic>
                  <name>Username</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Password</key>
                <value>
                  <description>Password for the user account</description>
                  <displayName>Password</displayName>
                  <dynamic>false</dynamic>
                  <name>Password</name>
                  <required>false</required>
                  <sensitive>true</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Remote File</key>
                <value>
                  <description>The fully qualified filename on the remote system</description>
                  <displayName>Remote File</displayName>
                  <dynamic>false</dynamic>
                  <name>Remote File</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Completion Strategy</key>
                <value>
                  <allowableValues>
                    <allowableValue>
                      <description>Leave the file as-is</description>
                      <displayName>None</displayName>
                      <value>None</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <description>Move the file to the directory specified by the &lt;Move Destination Directory&gt; property</description>
                      <displayName>Move File</displayName>
                      <value>Move File</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <description>Deletes the original file from the remote system</description>
                      <displayName>Delete File</displayName>
                      <value>Delete File</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <defaultValue>None</defaultValue>
                  <description>Specifies what to do with the original file on the server once it has been pulled into NiFi. If the Completion Strategy fails, a warning will be logged but the data will still be transferred.</description>
                  <displayName>Completion Strategy</displayName>
                  <dynamic>false</dynamic>
                  <name>Completion Strategy</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Move Destination Directory</key>
                <value>
                  <description>The directory on the remote server to the move the original file to once it has been ingested into NiFi. This property is ignored unless the Completion Strategy is set to "Move File". The specified directory must already exist onthe remote system, or the rename will fail.</description>
                  <displayName>Move Destination Directory</displayName>
                  <dynamic>false</dynamic>
                  <name>Move Destination Directory</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Connection Timeout</key>
                <value>
                  <defaultValue>30 sec</defaultValue>
                  <description>Amount of time to wait before timing out while creating a connection</description>
                  <displayName>Connection Timeout</displayName>
                  <dynamic>false</dynamic>
                  <name>Connection Timeout</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Data Timeout</key>
                <value>
                  <defaultValue>30 sec</defaultValue>
                  <description>When transferring a file between the local and remote system, this value specifies how long is allowed to elapse without any data being transferred between systems</description>
                  <displayName>Data Timeout</displayName>
                  <dynamic>false</dynamic>
                  <name>Data Timeout</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Use Compression</key>
                <value>
                  <allowableValues>
                    <allowableValue>
                      <displayName>true</displayName>
                      <value>true</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>false</displayName>
                      <value>false</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <defaultValue>false</defaultValue>
                  <description>Indicates whether or not ZLIB compression should be used when transferring files</description>
                  <displayName>Use Compression</displayName>
                  <dynamic>false</dynamic>
                  <name>Use Compression</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Connection Mode</key>
                <value>
                  <allowableValues>
                    <allowableValue>
                      <displayName>Active</displayName>
                      <value>Active</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>Passive</displayName>
                      <value>Passive</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <defaultValue>Passive</defaultValue>
                  <description>The FTP Connection Mode</description>
                  <displayName>Connection Mode</displayName>
                  <dynamic>false</dynamic>
                  <name>Connection Mode</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Transfer Mode</key>
                <value>
                  <allowableValues>
                    <allowableValue>
                      <displayName>Binary</displayName>
                      <value>Binary</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>ASCII</displayName>
                      <value>ASCII</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <defaultValue>Binary</defaultValue>
                  <description>The FTP Transfer Mode</description>
                  <displayName>Transfer Mode</displayName>
                  <dynamic>false</dynamic>
                  <name>Transfer Mode</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Proxy Type</key>
                <value>
                  <allowableValues>
                    <allowableValue>
                      <displayName>DIRECT</displayName>
                      <value>DIRECT</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>HTTP</displayName>
                      <value>HTTP</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>SOCKS</displayName>
                      <value>SOCKS</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <defaultValue>DIRECT</defaultValue>
                  <description>Proxy type used for file transfers</description>
                  <displayName>Proxy Type</displayName>
                  <dynamic>false</dynamic>
                  <name>Proxy Type</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Proxy Host</key>
                <value>
                  <description>The fully qualified hostname or IP address of the proxy server</description>
                  <displayName>Proxy Host</displayName>
                  <dynamic>false</dynamic>
                  <name>Proxy Host</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Proxy Port</key>
                <value>
                  <description>The port of the proxy server</description>
                  <displayName>Proxy Port</displayName>
                  <dynamic>false</dynamic>
                  <name>Proxy Port</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Http Proxy Username</key>
                <value>
                  <description>Http Proxy Username</description>
                  <displayName>Http Proxy Username</displayName>
                  <dynamic>false</dynamic>
                  <name>Http Proxy Username</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Http Proxy Password</key>
                <value>
                  <description>Http Proxy Password</description>
                  <displayName>Http Proxy Password</displayName>
                  <dynamic>false</dynamic>
                  <name>Http Proxy Password</name>
                  <required>false</required>
                  <sensitive>true</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
            </descriptors>
            <executionNode>ALL</executionNode>
            <lossTolerant>false</lossTolerant>
            <penaltyDuration>30 sec</penaltyDuration>
            <properties>
              <entry>
                <key>Hostname</key>
                <value>&lt;yourFTPServer&gt;</value>
              </entry>
              <entry>
                <key>Port</key>
                <value>21</value>
              </entry>
              <entry>
                <key>Username</key>
                <value>&lt;UserName&gt;</value>
              </entry>
              <entry>
                <key>Password</key>
              </entry>
              <entry>
                <key>Remote File</key>
                <value>/&lt;directory&gt;/&lt;yourfile&gt;</value>
              </entry>
              <entry>
                <key>Completion Strategy</key>
                <value>None</value>
              </entry>
              <entry>
                <key>Move Destination Directory</key>
              </entry>
              <entry>
                <key>Connection Timeout</key>
                <value>30 sec</value>
              </entry>
              <entry>
                <key>Data Timeout</key>
                <value>30 sec</value>
              </entry>
              <entry>
                <key>Use Compression</key>
                <value>false</value>
              </entry>
              <entry>
                <key>Connection Mode</key>
                <value>Active</value>
              </entry>
              <entry>
                <key>Transfer Mode</key>
                <value>Binary</value>
              </entry>
              <entry>
                <key>Proxy Type</key>
                <value>DIRECT</value>
              </entry>
              <entry>
                <key>Proxy Host</key>
              </entry>
              <entry>
                <key>Proxy Port</key>
              </entry>
              <entry>
                <key>Http Proxy Username</key>
              </entry>
              <entry>
                <key>Http Proxy Password</key>
              </entry>
            </properties>
            <runDurationMillis>0</runDurationMillis>
            <schedulingPeriod>0 sec</schedulingPeriod>
            <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
            <yieldDuration>1 sec</yieldDuration>
          </config>
          <name>FetchFTP</name>
          <relationships>
            <autoTerminate>true</autoTerminate>
            <name>comms.failure</name>
          </relationships>
          <relationships>
            <autoTerminate>true</autoTerminate>
            <name>not.found</name>
          </relationships>
          <relationships>
            <autoTerminate>true</autoTerminate>
            <name>permission.denied</name>
          </relationships>
          <relationships>
            <autoTerminate>false</autoTerminate>
            <name>success</name>
          </relationships>
          <style></style>
          <type>org.apache.nifi.processors.standard.FetchFTP</type>
        </processors>
        <processors>
          <id>00844b2e-757e-1df9-0000-000000000000</id>
          <parentGroupId>dfa22efc-015d-1000-0000-000000000000</parentGroupId>
          <position>
            <x>4243.552642693092</x>
            <y>870.8074999784834</y>
          </position>
          <config>
            <bulletinLevel>WARN</bulletinLevel>
            <comments></comments>
            <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
            <descriptors>
              <entry>
                <key>Directory</key>
                <value>
                  <description>The directory to which files should be written. You may use expression language such as /aa/bb/${path}</description>
                  <displayName>Directory</displayName>
                  <dynamic>false</dynamic>
                  <name>Directory</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Conflict Resolution Strategy</key>
                <value>
                  <allowableValues>
                    <allowableValue>
                      <displayName>replace</displayName>
                      <value>replace</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>ignore</displayName>
                      <value>ignore</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>fail</displayName>
                      <value>fail</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>append</displayName>
                      <value>append</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <defaultValue>fail</defaultValue>
                  <description>Indicates what should happen when a file with the same name already exists in the output directory</description>
                  <displayName>Conflict Resolution Strategy</displayName>
                  <dynamic>false</dynamic>
                  <name>Conflict Resolution Strategy</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Create Missing Directories</key>
                <value>
                  <allowableValues>
                    <allowableValue>
                      <displayName>true</displayName>
                      <value>true</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <allowableValues>
                    <allowableValue>
                      <displayName>false</displayName>
                      <value>false</value>
                    </allowableValue>
                    <canRead>true</canRead>
                  </allowableValues>
                  <defaultValue>true</defaultValue>
                  <description>If true, then missing destination directories will be created. If false, flowfiles are penalized and sent to failure.</description>
                  <displayName>Create Missing Directories</displayName>
                  <dynamic>false</dynamic>
                  <name>Create Missing Directories</name>
                  <required>true</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Maximum File Count</key>
                <value>
                  <description>Specifies the maximum number of files that can exist in the output directory</description>
                  <displayName>Maximum File Count</displayName>
                  <dynamic>false</dynamic>
                  <name>Maximum File Count</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>false</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Last Modified Time</key>
                <value>
                  <description>Sets the lastModifiedTime on the output file to the value of this attribute.  Format must be yyyy-MM-dd'T'HH:mm:ssZ.  You may also use expression language such as ${file.lastModifiedTime}.</description>
                  <displayName>Last Modified Time</displayName>
                  <dynamic>false</dynamic>
                  <name>Last Modified Time</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Permissions</key>
                <value>
                  <description>Sets the permissions on the output file to the value of this attribute.  Format must be either UNIX rwxrwxrwx with a - in place of denied permissions (e.g. rw-r--r--) or an octal number (e.g. 644).  You may also use expression language such as ${file.permissions}.</description>
                  <displayName>Permissions</displayName>
                  <dynamic>false</dynamic>
                  <name>Permissions</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Owner</key>
                <value>
                  <description>Sets the owner on the output file to the value of this attribute.  You may also use expression language such as ${file.owner}.</description>
                  <displayName>Owner</displayName>
                  <dynamic>false</dynamic>
                  <name>Owner</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
              <entry>
                <key>Group</key>
                <value>
                  <description>Sets the group on the output file to the value of this attribute.  You may also use expression language such as ${file.group}.</description>
                  <displayName>Group</displayName>
                  <dynamic>false</dynamic>
                  <name>Group</name>
                  <required>false</required>
                  <sensitive>false</sensitive>
                  <supportsEl>true</supportsEl>
                </value>
              </entry>
            </descriptors>
            <executionNode>ALL</executionNode>
            <lossTolerant>false</lossTolerant>
            <penaltyDuration>30 sec</penaltyDuration>
            <properties>
              <entry>
                <key>Directory</key>
                <value>../../Samples/Data/FTPOutput</value>
              </entry>
              <entry>
                <key>Conflict Resolution Strategy</key>
                <value>fail</value>
              </entry>
              <entry>
                <key>Create Missing Directories</key>
                <value>true</value>
              </entry>
              <entry>
                <key>Maximum File Count</key>
              </entry>
              <entry>
                <key>Last Modified Time</key>
              </entry>
              <entry>
                <key>Permissions</key>
              </entry>
              <entry>
                <key>Owner</key>
              </entry>
              <entry>
                <key>Group</key>
              </entry>
            </properties>
            <runDurationMillis>0</runDurationMillis>
            <schedulingPeriod>0 sec</schedulingPeriod>
            <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
            <yieldDuration>1 sec</yieldDuration>
          </config>
          <name>PutFile</name>
          <relationships>
            <autoTerminate>true</autoTerminate>
            <name>failure</name>
          </relationships>
          <relationships>
            <autoTerminate>true</autoTerminate>
            <name>success</name>
          </relationships>
          <style></style>
          <type>org.apache.nifi.processors.standard.PutFile</type>
        </processors>
      </contents>
      <name>Sample FetchFTP Processor</name>
    </processGroups>
  </snippet>
  <timestamp>08/14/2017 13:04:55 IST</timestamp>
</template>